sandbox Endpoints
All endpoints for the sandbox API group. Great for feeding into an LLM context.
/v1/sandbox
List Sandboxes
Lists all sandbox environments associated with the active production organization. Only accessible by production organization administrators.
Responses
200Successful Response
{
"items": {
"$ref": "#/components/schemas/SandboxResponse"
},
"type": "array",
"title": "Response List Sandboxes V1 Sandbox Get"
}404Not found
/v1/sandbox
Create Sandbox
Creates a new isolated sandbox environment by copying production configurations, schemas, and users. Only accessible by production organization administrators.
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SandboxCreateRequest"
}
}
},
"required": true
}Responses
201Successful Response
{
"$ref": "#/components/schemas/SandboxResponse"
}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/sandbox/{name}/refresh
Refresh Sandbox
Wipes and refreshes an existing sandbox environment, restoring it to match the production state. Only accessible by production organization administrators.
Parameters
name*
Responses
200Successful Response
{
"$ref": "#/components/schemas/SandboxResponse"
}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/sandbox/{name}
Delete Sandbox
Permanently deletes a sandbox environment and all its isolated databases and configurations. Only accessible by production organization administrators.
Parameters
name*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/sandbox/{name}/users
Add Users To Sandbox
Adds one or more users to a sandbox environment. Only accessible by production organization administrators.
Parameters
name*
Request Body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SandboxUserRequest"
}
}
}
}Responses
200Successful Response
{
"$ref": "#/components/schemas/SandboxUserResponse"
}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/sandbox/{name}/users
Remove Users From Sandbox
Removes one or more users from a sandbox environment. Only accessible by production organization administrators.
Parameters
name*
Request Body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SandboxUserRequest"
}
}
}
}Responses
200Successful Response
{
"$ref": "#/components/schemas/SandboxUserRemoveResponse"
}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/sandbox/{sandbox_name}/app/{app_name}/push
Push App From Sandbox
Extracts an app's configuration from the sandbox and deploys it to the target environment.
Parameters
sandbox_name*
app_name*
target
Optional target environment ID or database name
type: anyResponses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}